{%  set fullId = modalId %}

<div class="modal  {% block modalClass %}{% endblock %}" id="{{ fullId }}" tabindex="-1" role="dialog" aria-labelledby="{{ fullId }}_label" aria-hidden="true">
    <div class="modal-dialog {% block modalSizeClass %}{% endblock %}">
        <div class="modal-content">
            {% block beginModalForm %}{% endblock %}
            <div class="modal-header">
                <h4 class="modal-title" id="{{ modalId }}_label">
                    {% block modalTitle %}{% endblock %}
                </h4>
                <button class="close" type="button" data-dismiss="modal" aria-label="close">
                    <span aria-hidden="true"><i class="fas fa-times"></i></span>
                </button>
            </div>
            <div class="modal-body">
                {% block modalBody %}{% endblock %}
            </div>
            <div class="modal-footer">
                {% block modalFooter %}{% endblock %}
                <button class="btn btn-default" type="button" data-dismiss="modal">
                    {% block modalFooterDismiss %}
                        Annuler
                    {% endblock %}
                </button>
                {% block modalSubmitButton %}{% endblock %}
            </div>
            {% block endModalForm %}{% endblock %}
        </div>
    </div>
</div>